package com.liquidnet.service.goblin.util;


import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.HashMap;
import java.util.Map;

/**
 * 收钱吧参数转换工具类
 * 1. 金额转换：元（BigDecimal） -> 分（Long）
 */

@Slf4j
@Component
public class GoblinSqbConvertUtils {


    /**
     * 元转分 (BigDecimal -> Long)
     * @param amount 元
     * @return 分
     */
    public Long yuanToFen(BigDecimal amount) {
        if (amount == null) {
            return 0L;
        }
        // 乘以 100 并设置四舍五入，确保转换后的精度
        return amount.multiply(new BigDecimal("100"))
                .setScale(0, RoundingMode.HALF_UP)
                .longValue();
    }


    /**
     * 根据正在的skuId、spuId获取收钱吧信息
     * @param skuId
     * @param spuId
     * @return
     */
    public Map<String, String> getSqbInfoByzhengzaiSkuIdAndSpuId(String skuId, String spuId) {

        return new HashMap<>();
    }
}
